# HG changeset patch
# Node ID 7090cacf03e5
# Parent  017e9a61a5ef
diff --git a/finch/gntaccount.c b/finch/gntaccount.c
--- a/finch/gntaccount.c
+++ b/finch/gntaccount.c
@@ -781,7 +781,8 @@ reset_accounts_win(GntWidget *widget, gp
 	accounts.tree = NULL;
 }
 
-void finch_accounts_show_all()
+void
+finch_accounts_show_all(void)
 {
 	PurpleAccountManager *manager = NULL;
 	GList *iter;
@@ -889,7 +890,8 @@ account_abled_cb(PurpleAccount *account,
 			GPOINTER_TO_INT(user_data));
 }
 
-void finch_accounts_init()
+void
+finch_accounts_init(void)
 {
 	PurpleAccountManager *manager = NULL;
 	gpointer account_handle = NULL;
@@ -923,7 +925,8 @@ void finch_accounts_init()
 	}
 }
 
-void finch_accounts_uninit()
+void
+finch_accounts_uninit(void)
 {
 	if (accounts.window)
 		gnt_widget_destroy(accounts.window);
diff --git a/finch/gntblist.c b/finch/gntblist.c
--- a/finch/gntblist.c
+++ b/finch/gntblist.c
@@ -1951,7 +1951,8 @@ redraw_blist(const char *name, PurplePre
 	draw_tooltip(ggblist);
 }
 
-void finch_blist_init()
+void
+finch_blist_init(void)
 {
 	color_available = gnt_style_get_color(NULL, "color-available");
 	if (!color_available)
@@ -2795,7 +2796,8 @@ create_menu(void)
 	gnt_menu_add_item(GNT_MENU(menu), ggblist->plugins);
 }
 
-void finch_blist_show()
+void
+finch_blist_show(void)
 {
 	blist_show(purple_blist_get_default());
 }
@@ -2892,7 +2894,8 @@ blist_show(PurpleBuddyList *list)
 	savedstatus_changed(purple_savedstatus_get_current(), NULL);
 }
 
-void finch_blist_uninit()
+void
+finch_blist_uninit(void)
 {
 }
 
diff --git a/finch/gntconn.c b/finch/gntconn.c
--- a/finch/gntconn.c
+++ b/finch/gntconn.c
@@ -118,12 +118,14 @@ static PurpleConnectionUiOps ops = {
 	.report_disconnect = finch_connection_report_disconnect,
 };
 
-PurpleConnectionUiOps *finch_connections_get_ui_ops()
+PurpleConnectionUiOps *
+finch_connections_get_ui_ops(void)
 {
 	return &ops;
 }
 
-void finch_connections_init()
+void
+finch_connections_init(void)
 {
 	PurpleAccountManager *manager = purple_account_manager_get_default();
 
@@ -134,7 +136,8 @@ void finch_connections_init()
 	g_signal_connect(manager, "removed", G_CALLBACK(account_removed_cb), NULL);
 }
 
-void finch_connections_uninit()
+void
+finch_connections_uninit(void)
 {
 	PurpleAccountManager *manager = purple_account_manager_get_default();
 
diff --git a/finch/gntconv.c b/finch/gntconv.c
--- a/finch/gntconv.c
+++ b/finch/gntconv.c
@@ -1081,7 +1081,8 @@ static PurpleConversationUiOps conv_ui_o
 	.has_focus = finch_conv_has_focus,
 };
 
-PurpleConversationUiOps *finch_conv_get_ui_ops()
+PurpleConversationUiOps *
+finch_conv_get_ui_ops(void)
 {
 	return &conv_ui_ops;
 }
@@ -1276,7 +1277,8 @@ users_command_cb(PurpleConversation *con
 	return PURPLE_CMD_RET_OK;
 }
 
-void finch_conversation_init()
+void
+finch_conversation_init(void)
 {
 	color_message_send = gnt_style_get_color(NULL, "color-message-sent");
 	if (!color_message_send)
@@ -1383,7 +1385,8 @@ void finch_conversation_init()
 					G_CALLBACK(account_signing_off), NULL);
 }
 
-void finch_conversation_uninit()
+void
+finch_conversation_uninit(void)
 {
 	purple_signals_disconnect_by_handle(finch_conv_get_handle());
 }
diff --git a/finch/gntdebug.c b/finch/gntdebug.c
--- a/finch/gntdebug.c
+++ b/finch/gntdebug.c
@@ -262,7 +262,8 @@ save_debug_win(GntWidget *w, GntTextView
 	gnt_widget_show(window);
 }
 
-void finch_debug_window_show()
+void
+finch_debug_window_show(void)
 {
 	GntWidget *wid, *box, *label;
 
diff --git a/finch/gntnotify.c b/finch/gntnotify.c
--- a/finch/gntnotify.c
+++ b/finch/gntnotify.c
@@ -406,17 +406,20 @@ static PurpleNotifyUiOps ops = {
 	.close_notify = finch_close_notify,
 };
 
-PurpleNotifyUiOps *finch_notify_get_ui_ops()
+PurpleNotifyUiOps *
+finch_notify_get_ui_ops(void)
 {
 	return &ops;
 }
 
-void finch_notify_init()
+void
+finch_notify_init(void)
 {
 	userinfo = g_hash_table_new_full(g_str_hash, g_str_equal, g_free, NULL);
 }
 
-void finch_notify_uninit()
+void
+finch_notify_uninit(void)
 {
 	g_hash_table_destroy(userinfo);
 }
diff --git a/finch/gntprefs.c b/finch/gntprefs.c
--- a/finch/gntprefs.c
+++ b/finch/gntprefs.c
@@ -38,7 +38,8 @@ static struct {
 	GntWidget *window;
 } pref_request;
 
-void finch_prefs_init()
+void
+finch_prefs_init(void)
 {
 	purple_prefs_add_none("/finch");
 
@@ -55,7 +56,8 @@ void finch_prefs_init()
 	purple_prefs_add_path("/finch/filelocations/last_save_folder", "");
 }
 
-void finch_prefs_update_old()
+void
+finch_prefs_update_old(void)
 {
 }
 
@@ -251,7 +253,8 @@ add_pref_group(PurpleRequestFields *fiel
 	}
 }
 
-void finch_prefs_show_all()
+void
+finch_prefs_show_all(void)
 {
 	PurpleRequestFields *fields;
 
diff --git a/finch/gntrequest.c b/finch/gntrequest.c
--- a/finch/gntrequest.c
+++ b/finch/gntrequest.c
@@ -821,16 +821,19 @@ static PurpleRequestUiOps uiops = {
 	.close_request = finch_close_request,
 };
 
-PurpleRequestUiOps *finch_request_get_ui_ops()
+PurpleRequestUiOps *
+finch_request_get_ui_ops(void)
 {
 	return &uiops;
 }
 
-void finch_request_init()
+void
+finch_request_init(void)
 {
 }
 
-void finch_request_uninit()
+void
+finch_request_uninit(void)
 {
 }
 
diff --git a/finch/gntstatus.c b/finch/gntstatus.c
--- a/finch/gntstatus.c
+++ b/finch/gntstatus.c
@@ -149,7 +149,8 @@ edit_savedstatus_cb(GntWidget *widget, g
 	finch_savedstatus_edit(gnt_tree_get_selection_data(GNT_TREE(statuses.tree)));
 }
 
-void finch_savedstatus_show_all()
+void
+finch_savedstatus_show_all(void)
 {
 	GntWidget *window, *tree, *box, *button;
 	int widths[] = {25, 12, 35};
diff --git a/finch/gntui.c b/finch/gntui.c
--- a/finch/gntui.c
+++ b/finch/gntui.c
@@ -74,7 +74,8 @@ finch_history_init(GError **error) {
 	return purple_history_manager_set_active(manager, id, error);
 }
 
-void finch_ui_init()
+void
+finch_ui_init(void)
 {
 	GError *error = NULL;
 
@@ -143,7 +144,8 @@ void finch_ui_init()
 #ifdef STANDALONE
 }
 
-void finch_ui_uninit()
+void
+finch_ui_uninit(void)
 {
 	purple_accounts_set_ui_ops(NULL);
 	finch_accounts_uninit();
diff --git a/finch/gntxfer.c b/finch/gntxfer.c
--- a/finch/gntxfer.c
+++ b/finch/gntxfer.c
@@ -254,7 +254,7 @@ finch_xfer_dialog_new(void)
 }
 
 void
-finch_xfer_dialog_destroy()
+finch_xfer_dialog_destroy(void)
 {
 	gnt_widget_destroy(xfer_dialog->window);
 	g_free(xfer_dialog);
@@ -262,7 +262,7 @@ finch_xfer_dialog_destroy()
 }
 
 void
-finch_xfer_dialog_show()
+finch_xfer_dialog_show(void)
 {
 	if (xfer_dialog == NULL)
 		finch_xfer_dialog_new();
diff --git a/finch/plugins/grouping/grouping.c b/finch/plugins/grouping/grouping.c
--- a/finch/plugins/grouping/grouping.c
+++ b/finch/plugins/grouping/grouping.c
@@ -66,7 +66,8 @@ G_DEFINE_DYNAMIC_TYPE(FinchGroupingNode,
  */
 static FinchGroupingNode *online, *offline;
 
-static gboolean on_offline_init()
+static gboolean
+on_offline_init(void)
 {
 	GntTree *tree = finch_blist_get_tree();
 
@@ -151,7 +152,8 @@ static FinchBlistManager on_offline =
  * Meebo-like Grouping.
  */
 static FinchGroupingNode meebo;
-static gboolean meebo_init()
+static gboolean
+meebo_init(void)
 {
 	GntTree *tree = finch_blist_get_tree();
 	if (!g_list_find(gnt_tree_get_rows(tree), &meebo)) {
@@ -187,14 +189,16 @@ static FinchBlistManager meebo_group =
 /**
  * No Grouping.
  */
-static gboolean no_group_init()
+static gboolean
+no_group_init(void)
 {
 	GntTree *tree = finch_blist_get_tree();
 	g_object_set(G_OBJECT(tree), "expander-level", 0, NULL);
 	return TRUE;
 }
 
-static gboolean no_group_uninit()
+static gboolean
+no_group_uninit(void)
 {
 	GntTree *tree = finch_blist_get_tree();
 	g_object_set(G_OBJECT(tree), "expander-level", 1, NULL);
diff --git a/libpurple/accounts.c b/libpurple/accounts.c
--- a/libpurple/accounts.c
+++ b/libpurple/accounts.c
@@ -574,7 +574,7 @@ purple_accounts_restore_current_status(P
 }
 
 void
-purple_accounts_restore_current_statuses() {
+purple_accounts_restore_current_statuses(void) {
 	PurpleAccountManager *manager = NULL;
 
 	/* If we're not connected to the Internet right now, we bail on this */
diff --git a/libpurple/buddyicon.c b/libpurple/buddyicon.c
--- a/libpurple/buddyicon.c
+++ b/libpurple/buddyicon.c
@@ -1114,7 +1114,7 @@ purple_buddy_icons_get_cache_dir(void)
 }
 
 void *
-purple_buddy_icons_get_handle()
+purple_buddy_icons_get_handle(void)
 {
 	static int handle;
 
@@ -1122,7 +1122,7 @@ purple_buddy_icons_get_handle()
 }
 
 void
-purple_buddy_icons_init()
+purple_buddy_icons_init(void)
 {
 	account_cache = g_hash_table_new_full(
 		g_direct_hash, g_direct_equal,
@@ -1139,7 +1139,7 @@ purple_buddy_icons_init()
 }
 
 void
-purple_buddy_icons_uninit()
+purple_buddy_icons_uninit(void)
 {
 	purple_signals_disconnect_by_handle(purple_buddy_icons_get_handle());
 
diff --git a/libpurple/buddylist.c b/libpurple/buddylist.c
--- a/libpurple/buddylist.c
+++ b/libpurple/buddylist.c
@@ -459,7 +459,8 @@ purple_blist_real_save_node(PurpleBuddyL
 	purple_blist_real_schedule_save();
 }
 
-void purple_blist_schedule_save()
+void
+purple_blist_schedule_save(void)
 {
 	PurpleBuddyListClass *klass = NULL;
 
@@ -799,7 +800,7 @@ append_buddy(gpointer key, gpointer valu
 }
 
 GSList *
-purple_blist_get_buddies()
+purple_blist_get_buddies(void)
 {
 	PurpleBuddyListPrivate *priv;
 	GSList *buddies = NULL;
@@ -812,7 +813,8 @@ purple_blist_get_buddies()
 	return buddies;
 }
 
-void purple_blist_show()
+void
+purple_blist_show(void)
 {
 	PurpleBuddyListClass *klass = NULL;
 
diff --git a/libpurple/core.c b/libpurple/core.c
--- a/libpurple/core.c
+++ b/libpurple/core.c
@@ -314,6 +314,6 @@ purple_core_get_ui_ops(void)
 }
 
 PurpleUiInfo *
-purple_core_get_ui_info() {
+purple_core_get_ui_info(void) {
 	return _core->ui_info;
 }
diff --git a/libpurple/debug.c b/libpurple/debug.c
--- a/libpurple/debug.c
+++ b/libpurple/debug.c
@@ -140,7 +140,7 @@ purple_debug_fatal(const gchar *category
 }
 
 gboolean
-purple_debug_is_verbose() {
+purple_debug_is_verbose(void) {
 	return debug_verbose;
 }
 
@@ -150,7 +150,7 @@ purple_debug_set_verbose(gboolean verbos
 }
 
 gboolean
-purple_debug_is_unsafe() {
+purple_debug_is_unsafe(void) {
 	return debug_unsafe;
 }
 
diff --git a/libpurple/idle.c b/libpurple/idle.c
--- a/libpurple/idle.c
+++ b/libpurple/idle.c
@@ -266,7 +266,7 @@ idle_reporting_cb(const char *name, Purp
 }
 
 void
-purple_idle_touch()
+purple_idle_touch(void)
 {
 	time(&last_active_time);
 	if (!no_away)
@@ -319,7 +319,7 @@ static gboolean _do_purple_idle_touch_cb
 
 
 void
-purple_idle_init()
+purple_idle_init(void)
 {
 	purple_signal_connect(purple_conversations_get_handle(), "sent-im-msg",
 						purple_idle_get_handle(),
@@ -341,7 +341,7 @@ purple_idle_init()
 }
 
 void
-purple_idle_uninit()
+purple_idle_uninit(void)
 {
 	purple_signals_disconnect_by_handle(purple_idle_get_handle());
 	purple_prefs_disconnect_by_handle(purple_idle_get_handle());
diff --git a/libpurple/media/enum-types.c b/libpurple/media/enum-types.c
--- a/libpurple/media/enum-types.c
+++ b/libpurple/media/enum-types.c
@@ -26,7 +26,7 @@
  */
 
 GType
-purple_media_candidate_type_get_type()
+purple_media_candidate_type_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
@@ -59,7 +59,7 @@ purple_media_candidate_type_get_type()
  */
 
 GType
-purple_media_caps_get_type()
+purple_media_caps_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
@@ -97,7 +97,7 @@ purple_media_caps_get_type()
  */
 
 GType
-purple_media_info_type_get_type()
+purple_media_info_type_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
@@ -132,7 +132,7 @@ purple_media_info_type_get_type()
  */
 
 GType
-purple_media_network_protocol_get_type()
+purple_media_network_protocol_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
@@ -162,7 +162,7 @@ purple_media_network_protocol_get_type()
  */
 
 GType
-purple_media_session_type_get_type()
+purple_media_session_type_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
@@ -200,7 +200,7 @@ purple_media_session_type_get_type()
  */
 
 GType
-purple_media_state_get_type()
+purple_media_state_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
diff --git a/libpurple/mediamanager.c b/libpurple/mediamanager.c
--- a/libpurple/mediamanager.c
+++ b/libpurple/mediamanager.c
@@ -215,7 +215,7 @@ purple_media_manager_finalize (GObject *
 }
 
 PurpleMediaManager *
-purple_media_manager_get()
+purple_media_manager_get(void)
 {
 	static PurpleMediaManager *manager = NULL;
 
@@ -954,7 +954,7 @@ create_recv_appsink(PurpleMediaElementIn
 }
 
 static PurpleMediaElementInfo *
-get_send_application_element_info ()
+get_send_application_element_info(void)
 {
 	static PurpleMediaElementInfo *info = NULL;
 
@@ -972,7 +972,7 @@ get_send_application_element_info ()
 }
 
 static PurpleMediaElementInfo *
-get_recv_application_element_info ()
+get_recv_application_element_info(void)
 {
 	static PurpleMediaElementInfo *info = NULL;
 
@@ -2139,7 +2139,7 @@ purple_media_manager_register_static_ele
  */
 
 GType
-purple_media_element_type_get_type()
+purple_media_element_type_get_type(void)
 {
 	static GType type = 0;
 	if (type == 0) {
diff --git a/libpurple/nat-pmp.c b/libpurple/nat-pmp.c
--- a/libpurple/nat-pmp.c
+++ b/libpurple/nat-pmp.c
@@ -168,7 +168,7 @@ is_default_route(struct sockaddr *sa, st
  * The return sockaddr_in must be g_free()'d when no longer needed
  */
 static struct sockaddr_in *
-default_gw()
+default_gw(void)
 {
 	int mib[6];
 	size_t needed;
@@ -264,7 +264,7 @@ default_gw()
  *		- The gateway errors in some other spectacular fashion
  */
 char *
-purple_pmp_get_public_ip()
+purple_pmp_get_public_ip(void)
 {
 	struct sockaddr_in addr, *gateway, *publicsockaddr = NULL;
 	struct timeval req_timeout;
@@ -529,7 +529,7 @@ purple_pmp_get_handle(void)
 }
 
 void
-purple_pmp_init()
+purple_pmp_init(void)
 {
 	g_signal_connect(g_network_monitor_get_default(),
 	                 "network-changed",
@@ -538,7 +538,7 @@ purple_pmp_init()
 }
 #else /* #ifdef NET_RT_DUMP */
 char *
-purple_pmp_get_public_ip()
+purple_pmp_get_public_ip(void)
 {
 	return NULL;
 }
@@ -556,7 +556,7 @@ purple_pmp_destroy_map(PurplePmpType typ
 }
 
 void
-purple_pmp_init()
+purple_pmp_init(void)
 {
 
 }
diff --git a/libpurple/network.c b/libpurple/network.c
--- a/libpurple/network.c
+++ b/libpurple/network.c
@@ -182,7 +182,7 @@ purple_network_is_available(void)
 }
 
 void
-purple_network_force_online()
+purple_network_force_online(void)
 {
 	force_online = TRUE;
 }
diff --git a/libpurple/notify.c b/libpurple/notify.c
--- a/libpurple/notify.c
+++ b/libpurple/notify.c
@@ -243,7 +243,7 @@ purple_notify_searchresults_button_add_l
 
 
 PurpleNotifySearchResults *
-purple_notify_searchresults_new()
+purple_notify_searchresults_new(void)
 {
 	PurpleNotifySearchResults *rs = g_new0(PurpleNotifySearchResults, 1);
 
@@ -365,7 +365,7 @@ purple_notify_user_info_entry_destroy(Pu
 }
 
 PurpleNotifyUserInfo *
-purple_notify_user_info_new()
+purple_notify_user_info_new(void)
 {
 	PurpleNotifyUserInfo *user_info;
 
diff --git a/libpurple/pluginpref.c b/libpurple/pluginpref.c
--- a/libpurple/pluginpref.c
+++ b/libpurple/pluginpref.c
@@ -47,7 +47,7 @@ struct _PurplePluginPref
 };
 
 PurplePluginPrefFrame *
-purple_plugin_pref_frame_new()
+purple_plugin_pref_frame_new(void)
 {
 	PurplePluginPrefFrame *frame;
 
@@ -84,7 +84,7 @@ purple_plugin_pref_frame_get_prefs(Purpl
 }
 
 PurplePluginPref *
-purple_plugin_pref_new()
+purple_plugin_pref_new(void)
 {
 	PurplePluginPref *pref;
 
diff --git a/libpurple/prefs.c b/libpurple/prefs.c
--- a/libpurple/prefs.c
+++ b/libpurple/prefs.c
@@ -386,7 +386,7 @@ static GMarkupParser prefs_parser = {
 };
 
 gboolean
-purple_prefs_load()
+purple_prefs_load(void)
 {
 	gchar *filename;
 	gchar *contents = NULL;
@@ -792,7 +792,7 @@ purple_prefs_remove(const char *name)
 }
 
 void
-purple_prefs_destroy()
+purple_prefs_destroy(void)
 {
 	purple_prefs_remove("/");
 }
@@ -1469,7 +1469,7 @@ purple_prefs_init(void)
 }
 
 void
-purple_prefs_uninit()
+purple_prefs_uninit(void)
 {
 	if (save_timer != 0)
 	{
diff --git a/libpurple/protocols/bonjour/mdns_common.c b/libpurple/protocols/bonjour/mdns_common.c
--- a/libpurple/protocols/bonjour/mdns_common.c
+++ b/libpurple/protocols/bonjour/mdns_common.c
@@ -39,7 +39,8 @@ mdns_retrieve_buddy_icon_func *_mdns_ret
 /**
  * Allocate space for the dns-sd data.
  */
-BonjourDnsSd * bonjour_dns_sd_new() {
+BonjourDnsSd *
+bonjour_dns_sd_new(void) {
 	BonjourDnsSd *data = g_new0(BonjourDnsSd, 1);
 	return data;
 }
diff --git a/libpurple/protocols/jabber/caps.c b/libpurple/protocols/jabber/caps.c
--- a/libpurple/protocols/jabber/caps.c
+++ b/libpurple/protocols/jabber/caps.c
@@ -638,7 +638,8 @@ const gchar* jabber_caps_get_own_hash(Ja
 	return js->caps_hash;
 }
 
-void jabber_caps_broadcast_change()
+void
+jabber_caps_broadcast_change(void)
 {
 	PurpleAccountManager *manager = NULL;
 	GList *node, *accounts;
diff --git a/libpurple/protocols/novell/nmcontact.c b/libpurple/protocols/novell/nmcontact.c
--- a/libpurple/protocols/novell/nmcontact.c
+++ b/libpurple/protocols/novell/nmcontact.c
@@ -59,7 +59,7 @@ static void _add_folders(NMFolder * root
  *********************************************************************/
 
 NMContact *
-nm_create_contact()
+nm_create_contact(void)
 {
 	NMContact *contact = g_new0(NMContact, 1);
 
diff --git a/libpurple/protocols/novell/nmrtf.c b/libpurple/protocols/novell/nmrtf.c
--- a/libpurple/protocols/novell/nmrtf.c
+++ b/libpurple/protocols/novell/nmrtf.c
@@ -215,7 +215,7 @@ NMRtfSymbol rtf_symbols[] = {
 int table_size = sizeof(rtf_symbols) / sizeof(NMRtfSymbol);
 
 NMRtfContext *
-nm_rtf_init()
+nm_rtf_init(void)
 {
 	NMRtfContext *ctx = g_new0(NMRtfContext, 1);
 	ctx->nextch_available = FALSE;
diff --git a/libpurple/protocols/novell/nmuserrecord.c b/libpurple/protocols/novell/nmuserrecord.c
--- a/libpurple/protocols/novell/nmuserrecord.c
+++ b/libpurple/protocols/novell/nmuserrecord.c
@@ -45,7 +45,7 @@ static int count = 0;
 /* API functions */
 
 NMUserRecord *
-nm_create_user_record()
+nm_create_user_record(void)
 {
 	NMUserRecord *user_record = g_new0(NMUserRecord, 1);
 
diff --git a/libpurple/proxy.c b/libpurple/proxy.c
--- a/libpurple/proxy.c
+++ b/libpurple/proxy.c
@@ -261,7 +261,7 @@ proxy_pref_cb(const char *name, PurplePr
 }
 
 void *
-purple_proxy_get_handle()
+purple_proxy_get_handle(void)
 {
 	static int handle;
 
diff --git a/libpurple/savedstatuses.c b/libpurple/savedstatuses.c
--- a/libpurple/savedstatuses.c
+++ b/libpurple/savedstatuses.c
@@ -788,7 +788,7 @@ purple_savedstatus_get_current(void)
 }
 
 PurpleSavedStatus *
-purple_savedstatus_get_default()
+purple_savedstatus_get_default(void)
 {
 	time_t creation_time;
 	PurpleSavedStatus *saved_status = NULL;
@@ -815,7 +815,7 @@ purple_savedstatus_get_default()
 }
 
 PurpleSavedStatus *
-purple_savedstatus_get_idleaway()
+purple_savedstatus_get_idleaway(void)
 {
 	time_t creation_time;
 	PurpleSavedStatus *saved_status = NULL;
@@ -844,7 +844,7 @@ purple_savedstatus_get_idleaway()
 }
 
 gboolean
-purple_savedstatus_is_idleaway()
+purple_savedstatus_is_idleaway(void)
 {
 	return purple_prefs_get_bool("/purple/savedstatus/isidleaway");
 }
@@ -898,7 +898,7 @@ purple_savedstatus_set_idleaway(gboolean
 }
 
 PurpleSavedStatus *
-purple_savedstatus_get_startup()
+purple_savedstatus_get_startup(void)
 {
 	time_t creation_time;
 	PurpleSavedStatus *saved_status = NULL;
diff --git a/libpurple/signals.c b/libpurple/signals.c
--- a/libpurple/signals.c
+++ b/libpurple/signals.c
@@ -529,7 +529,7 @@ purple_signal_emit_vargs_return_1(void *
 }
 
 void
-purple_signals_init()
+purple_signals_init(void)
 {
 	g_return_if_fail(instance_table == NULL);
 
@@ -539,7 +539,7 @@ purple_signals_init()
 }
 
 void
-purple_signals_uninit()
+purple_signals_uninit(void)
 {
 	g_return_if_fail(instance_table != NULL);
 
diff --git a/libpurple/stun.c b/libpurple/stun.c
--- a/libpurple/stun.c
+++ b/libpurple/stun.c
@@ -422,6 +422,8 @@ PurpleStunNatDiscovery *purple_stun_disc
 	return &nattype;
 }
 
-void purple_stun_init() {
+void
+purple_stun_init(void)
+{
 	purple_prefs_add_string("/purple/network/stun_server", "");
 }
diff --git a/libpurple/xfer.c b/libpurple/xfer.c
--- a/libpurple/xfer.c
+++ b/libpurple/xfer.c
@@ -2456,7 +2456,7 @@ purple_xfer_new(PurpleAccount *account, 
  * File Transfer Subsystem API
  **************************************************************************/
 GList *
-purple_xfers_get_all()
+purple_xfers_get_all(void)
 {
 	return xfers;
 }
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -962,7 +962,7 @@ chat_account_filter_func(PurpleAccount *
 }
 
 gboolean
-pidgin_blist_joinchat_is_showable()
+pidgin_blist_joinchat_is_showable(void)
 {
 	GList *c;
 	PurpleConnection *gc;
@@ -2853,7 +2853,8 @@ pidgin_blist_node_is_contact_expanded(Pu
 	return pidgin_node->contact_expanded;
 }
 
-void pidgin_blist_setup_sort_methods()
+void
+pidgin_blist_setup_sort_methods(void)
 {
 	const char *id;
 
@@ -3760,7 +3761,7 @@ static gboolean autojoin_cb(PurpleConnec
 }
 
 void *
-pidgin_blist_get_handle() {
+pidgin_blist_get_handle(void) {
 	static int handle;
 
 	return &handle;
@@ -3904,7 +3905,8 @@ pidgin_buddy_list_class_init(PidginBuddy
  * Buddy List sorting functions                                      *
  *********************************************************************/
 
-GList *pidgin_blist_get_sort_methods()
+GList *
+pidgin_blist_get_sort_methods(void)
 {
 	return pidgin_blist_sort_methods;
 }
diff --git a/pidgin/gtkroomlist.c b/pidgin/gtkroomlist.c
--- a/pidgin/gtkroomlist.c
+++ b/pidgin/gtkroomlist.c
@@ -453,7 +453,7 @@ static gboolean account_filter_func(Purp
 }
 
 gboolean
-pidgin_roomlist_is_showable()
+pidgin_roomlist_is_showable(void)
 {
 	GList *c;
 	PurpleConnection *gc;
diff --git a/pidgin/pidgindebug.c b/pidgin/pidgindebug.c
--- a/pidgin/pidgindebug.c
+++ b/pidgin/pidgindebug.c
@@ -924,7 +924,7 @@ pidgin_debug_uninit(void)
 }
 
 void *
-pidgin_debug_get_handle() {
+pidgin_debug_get_handle(void) {
 	static int handle;
 
 	return &handle;
diff --git a/pidgin/plugins/disco/xmppdisco.c b/pidgin/plugins/disco/xmppdisco.c
--- a/pidgin/plugins/disco/xmppdisco.c
+++ b/pidgin/plugins/disco/xmppdisco.c
@@ -78,8 +78,8 @@ struct xmpp_iq_cb_data
 };
 
 
-static char*
-generate_next_id()
+static char *
+generate_next_id(void)
 {
 	static guint32 index = 0;
 
diff --git a/pidgin/plugins/notify/notify.c b/pidgin/plugins/notify/notify.c
--- a/pidgin/plugins/notify/notify.c
+++ b/pidgin/plugins/notify/notify.c
@@ -659,7 +659,7 @@ options_entry_cb(GtkWidget *widget, GdkE
 }
 
 static void
-apply_method()
+apply_method(void)
 {
 	GList *convs;
 
@@ -677,7 +677,7 @@ apply_method()
 }
 
 static void
-apply_notify()
+apply_notify(void)
 {
 	GList *convs = purple_conversations_get_all();
 
diff --git a/pidgin/plugins/spellchk/spellchk.c b/pidgin/plugins/spellchk/spellchk.c
--- a/pidgin/plugins/spellchk/spellchk.c
+++ b/pidgin/plugins/spellchk/spellchk.c
@@ -2031,7 +2031,8 @@ static void list_delete(void)
 	save_list();
 }
 
-static void save_list()
+static void
+save_list(void)
 {
 	GString *data;
 	GtkTreeIter iter;
diff --git a/pidgin/plugins/unity/unity.c b/pidgin/plugins/unity/unity.c
--- a/pidgin/plugins/unity/unity.c
+++ b/pidgin/plugins/unity/unity.c
@@ -52,7 +52,7 @@ static int attach_signals(PurpleConversa
 static void detach_signals(PurpleConversation *conv);
 
 static void
-update_launcher()
+update_launcher(void)
 {
 	guint count = 0;
 	GList *convs = NULL;
@@ -129,7 +129,7 @@ messaging_menu_remove_conversation(Purpl
 }
 
 static void
-refill_messaging_menu()
+refill_messaging_menu(void)
 {
 	PurpleConversationManager *manager = NULL;
 	GList *convs;
diff --git a/pidgin/win32/gtkwin32dep.c b/pidgin/win32/gtkwin32dep.c
--- a/pidgin/win32/gtkwin32dep.c
+++ b/pidgin/win32/gtkwin32dep.c
@@ -143,7 +143,7 @@ winpidgin_netconfig_changed_cb(GNetworkM
 }
 
 static gboolean
-winpidgin_pwm_reconnect()
+winpidgin_pwm_reconnect(void)
 {
 	g_signal_handlers_disconnect_by_func(g_network_monitor_get_default,
 	                                     G_CALLBACK(winpidgin_netconfig_changed_cb),
